@use "styles/helpers";

.payment {
  background: #fff;
  padding: 32px 30px 119px 32px;
  color: #000000;
  border-radius: 10px;

  &__header {

    img {
      width: 24px;
      height: 24px;

      &:hover {
        cursor: pointer;
      }
    }
  }

  &__wrapper {
    max-width: 572px;
    margin: 67px auto 0;
  }

  &__headerTitle {
    text-align: center;
  }

  &__title {
    font-weight: 500;
    font-size: 36px;
    line-height: 25px;
    margin-top: 12px;
  }

  &__subTitle {
    font-size: 24px;
    line-height: 25px;
    margin-top: 47px;
  }

  &__order {
    padding-left: 71px;
    margin-top: 46px;

    ul {

      li {
        font-size: 16px;
        line-height: 25px;

        &:not(:first-child) {
          margin-top: 16px;
        }

        span {
          color: #222222;
          font-weight: 600;
        }
      }
    }
  }

  &__methods {
    width: 100%;
    padding: 15px 18px 23px;
    background-color: rgb(238, 238, 238);
    border: none;
    border-radius: 4px;
    font-size: 20px;
    font-weight: 700;
    outline: none;
    cursor: pointer;
  }

  &__privacy_policy {

  }

  &__privacy_policy {
    margin-top: 20px;

    p {
      font-weight: normal;
      font-size: 12px;
      line-height: 18px;
      color: #222222;
    }

  }

  &__button {
    margin-top: 40px;

    button {
      background: #119AD0;
      border-radius: 3px;
      border: none;
      outline: none;
      font-weight: 400;
      font-size: 16px;
      line-height: 25px;
      text-transform: uppercase;
      color: #FFFFFF;
      font-family: "Montserrat", "Arial", "Helvetica", sans-serif!important;
      height: 74px;
    }
  }

  &__message {
    color: #222222;
    text-align: center;
    max-width: 750px;
    margin: 0 auto;
  }

}

.balance {
  color: #000000;
  animation: showBalance .3s forwards;

  &__inner {
    font-weight: 500;
    font-size: 16px;
    line-height: 24px;
  }

  @keyframes showBalance {
    0% {
      padding: 0 15px 5px 31px;
    }
    100% {
      padding: 5px 15px 5px 31px;
    }
  }
}

.creditCard {
  background: #fff;
  padding: 15px 25px;
  margin: 20px 0;
  animation: showCreditCard 1s forwards;
  transition: 1s;
  overflow-y: auto;
  height: 20px;

  &::-webkit-scrollbar {
    width: 0;
  }


  @keyframes showCreditCard {
    0% {
      height: 20px;
    }
    100% {
      height: 543px;
    }
  }

  &__title {
    font-weight: normal;
    font-size: 15px;
    line-height: 25px;
    color: #222222;
  }

  input {
    background: #FFFFFF;
    border: 1px solid #BDBDBD;
    box-sizing: border-box;
    border-radius: 10px;
    min-height: 74px;
    outline: none;
    padding: 10px 26px;
    margin-top: 12px;
  }

  label {
    font-weight: 500;
    font-size: 16px;
    line-height: 25px;
    color: #222222;
  }

  button {
    background: #119AD0;
    border-radius: 3px;
    border: none;
    outline: none;
    height: 74px;
    font-weight: 500;
    font-size: 16px;
    line-height: 25px;
    text-transform: uppercase;
    color: #FFFFFF;
    margin-top: 65px;
  }

  &__card_number {

  }

  &__date_cvc {
    margin: 20px -15px 0 -15px;
  }

  &__date, &__cvc {
    flex: 1;
    margin: 0 15px;
  }

  &__checkbox {
    border: none!important;
    box-shadow: none!important;
  }

}

.checkboxCustom, .radioCustom {
  opacity: 0;
  position: absolute;
  max-width: 28px;
}

.checkboxCustom, .checkboxCustomLabel, .radioCustom, .radioCustomLabel {
  display: inline-block;
  vertical-align: middle;
  cursor: pointer;
}

.checkboxCustomLabel, .radioCustomLabel {
  position: relative;
}

.radioCustomLabel {
  font-size: 16px;
  line-height: 35px;
  color: #222222;
  font-weight: normal;
}

.checkboxCustomLabel {
  font-weight: normal;
  font-size: 14px;
  line-height: 18px;
  color: #222222;
  margin-top: 30px;
}

.checkboxCustom + .checkboxCustomLabel:before, .radioCustom + .radioCustomLabel:before {
  content: '';
  background: #fff;
  border: 1px solid #E0E0E0;
  display: inline-block;
  vertical-align: middle;
  width: 17px;
  height: 17px;
  margin-right: 15px;
  text-align: center;
  margin-top: -1px;
}

.checkboxCustom + .checkboxCustomLabel:before {
  border: 1px solid #BDBDBD;
  border-radius: 3px;
  width: 28px;
  height: 28px;
  margin-top: -1px;
  margin-right: 14px;
}

.checkboxCustom:checked + .checkboxCustomLabel:before {
  content: url('/img/icons/checkPay.png');
  background: #0075ff;
  border-color: #0075ff;
  padding: 7px 2px;
}

.radioCustom + .radioCustomLabel:before {
  border-radius: 50%;
}

.radioCustom:checked + .radioCustomLabel:before {
  background: #0075ff;
  box-shadow: inset 0 0 0 3px #ffffff;
  border-color: #0075ff;
}


.checkboxCustom:focus + .checkboxCustomLabel, .radioCustom:focus + .radioCustomLabel {
  outline: none;
}


@media screen and (max-width: 600px) {
  .payment {
    padding: 32px 30px 60px 30px;

    &__order {
      padding-left: 0;
      margin-top: 25px;
    }

    &__title {
      font-size: 25px;
    }

    &__subTitle {
      margin-top: 25px;
    }

    &__wrapper {
      margin-top: 35px;
    }

    &__button {

      button {
        height: 60px;
      }
    }
  }
}

@media screen and (max-width: helpers.$widthMobile) {
  .payment {
    padding: 30px 30px 60px 30px;
    position: relative;

    &__methods {
      -webkit-tap-highlight-color: transparent;
    }

    &__order {
      padding-left: 0;
      margin-top: 25px;

      ul {
        li:not(:first-child) {
          margin-top: 5px;
        }
      }
    }

    &__title {
      font-size: 20px;
    }

    &__subTitle {
      margin-top: 10px;
      font-size: 18px;
      line-height: 20px;
    }

    &__wrapper {
      margin-top: 25px;
    }

    &__button {
      margin-top: 30px;

      button {
        height: 45px;
        font-size: 14px;
        padding: 4px 0 0 0;
      }
    }

    &__privacy_policy {
      margin-top: 10px;

      p {
        font-size: 11px;
        line-height: 16px;
      }
    }

    &__header {

      img {
        position: absolute;
        width: 18px;
        height: 18px;
        top: 15px;
        right: 15px;
      }
    }
  }

  .checkboxCustomLabel {
    font-size: 12px;
    line-height: 16px;
    margin-top: 15px;
    -webkit-tap-highlight-color: transparent;
  }

  .checkboxCustom + .checkboxCustomLabel:before {
    width: 20px;
    height: 20px;
    margin-right: 7px;
  }

  .radioCustomLabel {
    line-height: 30px;
  }

  .checkboxCustom:checked + .checkboxCustomLabel:before {
    content: url('/img/icons/checkPayMob.png');
    padding: 4px 2px;
  }

  .balance {

    &__inner {
      font-size: 14px;
      line-height: 20px;
    }
  }
}